Bug 870050 - Review Request: mate-file-manager-open-terminal - Mate-file-manager extension for an open terminal shortcut
Review Request: mate-file-manager-open-terminal - Mate-file-manager extension...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 869744
  Show dependency treegraph
 
Reported: 2012-10-25 09:34 EDT by leigh scott
Modified: 2012-11-08 02:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 02:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-10-25 09:34:49 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-file-manager-open-terminal/1/mate-file-manager-open-terminal.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-file-manager-open-terminal/1/mate-file-manager-open-terminal-1.4.0-1.fc17.src.rpm

Description: 
The mate-file-manager-open-terminal extension provides a right-click "Open
Terminal" option for mate-file-manager users who prefer that option.

Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-10-25 14:01:02 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/dan/870050-mate-file-manager-open-terminal/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-file-manager-open-terminal-1.4.0-1.fc18.x86_64.rpm
          mate-file-manager-open-terminal-debuginfo-1.4.0-1.fc18.x86_64.rpm
          mate-file-manager-open-terminal-1.4.0-1.fc18.src.rpm
mate-file-manager-open-terminal.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/caja-open-terminal.schemas
mate-file-manager-open-terminal.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-open-terminal-1.4.0/COPYING
mate-file-manager-open-terminal.x86_64: W: dangerous-command-in-%pre rm
mate-file-manager-open-terminal.x86_64: W: dangerous-command-in-%post rm
mate-file-manager-open-terminal-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package mate-file-manager-open-terminal.
3 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-manager-open-terminal mate-file-manager-op 
en-terminal-debuginfo
mate-file-manager-open-terminal.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/caja-open-terminal.schemas
mate-file-manager-open-terminal.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-open-terminal-1.4.0/COPYING
mate-file-manager-open-terminal.x86_64: W: dangerous-command-in-%pre rm
mate-file-manager-open-terminal.x86_64: W: dangerous-command-in-%post rm
mate-file-manager-open-terminal-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package mate-file-manager-open-terminal.
2 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-manager-open-terminal-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libmateconf-2.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libstartup-notification-1.so.0()(64bit)
    mate-conf
    rtld(GNU_HASH)

mate-file-manager-open-terminal-debuginfo-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-file-manager-open-terminal-1.4.0-1.fc18.x86_64.rpm:
    
    libcaja-open-terminal.so()(64bit)
    mate-file-manager-open-terminal = 1.4.0-1.fc18
    mate-file-manager-open-terminal(x86-64) = 1.4.0-1.fc18

mate-file-manager-open-terminal-debuginfo-1.4.0-1.fc18.x86_64.rpm:
    
    mate-file-manager-open-terminal-debuginfo = 1.4.0-1.fc18
    mate-file-manager-open-terminal-debuginfo(x86-64) = 1.4.0-1.fc18



Unversioned so-files
--------------------
mate-file-manager-open-terminal-1.4.0-1.fc18.x86_64.rpm: /usr/lib64/caja/extensions-2.0/libcaja-open-terminal.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-file-manager-open-terminal-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 57fca277bdfa09311c0570e09ba8b0afd1aff4fcaca0c367041b10ae7defd5a7
  CHECKSUM(SHA256) upstream package : 57fca277bdfa09311c0570e09ba8b0afd1aff4fcaca0c367041b10ae7defd5a7
Comment 2 Dan Mashal 2012-10-25 18:21:09 EDT
Looks good. Koji scratch build success, rpm install success, package functionally working.

APPROVED.
Comment 3 leigh scott 2012-10-25 18:24:29 EDT
New Package SCM Request
=======================
Package Name: mate-file-manager-open-terminal
Short Description: Mate-file-manager extension for an open terminal shortcut
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 4 Gwyn Ciesla 2012-10-26 07:29:35 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-28 12:19:58 EDT
mate-file-manager-open-terminal-1.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16895/mate-file-manager-open-terminal-1.4.0-1.fc18
Comment 6 Fedora Update System 2012-10-28 12:20:56 EDT
mate-file-manager-open-terminal-1.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-17010/mate-file-manager-open-terminal-1.4.0-1.fc17

Note You need to log in before you can comment on or make changes to this bug.